import Vue from 'vue'
import Select2 from "./vue-components/Select2";
import DateRangePicker from 'vue2-daterange-picker'
import 'vue2-daterange-picker/dist/vue2-daterange-picker.css'
import SortableColumns from '@tdvue/sortable-columns'

import VeeValidate, { Validator } from 'vee-validate'
import enVeeValidate from 'vee-validate/dist/locale/en'
import deVeeValidate from 'vee-validate/dist/locale/de'
import ruVeeValidate from 'vee-validate/dist/locale/ru'
import ukVeeValidate from 'vee-validate/dist/locale/uk'
import FilesManager from '@tdev-agency/files-manager'
import AirPicker from "./vue-components/AirPicker";
import ImagePicker from "./vue-components/ImagePicker";
import Select2Simple from "./vue-components/Select2Simple";

(function() {
    require('./bootstrap');

    const locale = window.locale = document.querySelector('html').getAttribute('lang');

    Vue.use(VeeValidate, {
        // events: 'change',
        locale,
        dictionary: {
            en: enVeeValidate,
            de: deVeeValidate,
            ru: ruVeeValidate,
            uk: ukVeeValidate,
        }
    });
    moment.locale(locale);
    Vue.use(FilesManager, { axios: axios })

    Vue.component('image-picker', ImagePicker);
    Vue.component('air-picker', AirPicker);
    Vue.component('select2', Select2);
    Vue.component('sortable-columns', SortableColumns);
    Vue.component('date-range-picker', DateRangePicker);
    Vue.component('select2-simple', Select2Simple);

    Vue.prototype.$axios = axios
    Vue.prototype.$hub = new Vue();

    Vue.filter('date', (value, format) => {
        if (!value) {
            return '';
        }
        if (typeof format === 'undefined') {
            format = 'DD.MM.YYYY';
        }

        return moment(value).format(format)
    })

    window.Vue = Vue;
})();
